const tealiumConfig = {
  consents: {
    purposes: [1, 2, 3, 4, 5, 6, 7, 8, 9, 10],
    specialFeatureOptions: [1]
  }
}

const validateParam = queryParams => {
  return queryParams?.indexOf('disable-tealium') === -1
}

const getUtagScriptUrl = (portal, environment) => {
  const site = portal === 'it' ? 'infojobs.it' : 'infojobs'
  const env = environment === '' ? 'prod' : 'qa'
  return `//tags.tiqcdn.com/utag/schibsted/${site}/${env}/utag.js`
}

const getTealiumConfig = ({portal, environment, queryParams = ''}) => {
  const isEnabled = validateParam(queryParams)
  const utagScriptUrl = getUtagScriptUrl(portal, environment)
  return {
    config: isEnabled
      ? {tealium: {script: utagScriptUrl, ...tealiumConfig}}
      : {}
  }
}

export default getTealiumConfig
