import {expect} from 'chai'
import sinon from 'sinon'
import {loader} from '../src-umd/index'

describe('#loader', () => {
  let rubikLoadedSpy
  beforeEach(() => {
    rubikLoadedSpy = sinon.spy()

    window.__mpi.visitorId = 'fakeId'
    document.addEventListener('rubik:loaded', rubikLoadedSpy)
  })

  afterEach(() => {
    window.__mpi.visitorId = ''
    document.removeEventListener('rubik:loaded', rubikLoadedSpy)
  })

  describe('when the rubik:loaded event is fired', () => {
    it('did initialize the analytics module', async () => {
      await loader()
      expect(rubikLoadedSpy.callCount).to.equal(1)
    })
  })
})
